# Generated by Django 2.2.1 on 2019-09-06 10:34

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0005_auto_20190906_1002'),
    ]

    operations = [
        migrations.AddField(
            model_name='user',
            name='imported_by',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddConstraint(
            model_name='user',
            constraint=models.CheckConstraint(check=models.Q(models.Q(('fictional', True), ('imported_by__isnull', False)), ('fictional', False), _connector='OR'), name='imported_by_not_null_when_fictional'),
        ),
    ]
